Kubernetes
probe Node

# get_nodes

List Kubernetes worker nodes in your cluster

Run it now
View details

Type | probe
Module | chaosk8s.node.probes
Name | get_nodes
Return | None

Usage

JSON

    {
      "name": "get-nodes",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosk8s.node.probes",
        "func": "get_nodes"
      }
    }

YAML

    name: get-nodes
    provider:
      func: get_nodes
      module: chaosk8s.node.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
label_selector | string |  | No | Label Selector | Selectors to target the appropriate nodes

You may filter nodes by specifying a label selector.

Signature

    def get_nodes(label_selector: str = None,
                  configuration: Dict[str, Dict[str, str]] = None,
                  secrets: Dict[str, Dict[str, str]] = None):
        pass

## Related starters

- Kubernetes
  probe Node

  ## `get_all_node_status_conditions`

  Retrieve all nodes conditions and statuses.
- Kubernetes
  action Node

  ## `uncordon_node`

  Uncordon nodes matching the given label name, so that pods can be scheduled on them again
- Kubernetes
  probe Node

  ## `get_all_node_status_conditions`

  Retrieve all nodes conditions and statuses.